rmiregistry(1)

Name
rmiregistry - The Java Remote Object Registry

    The rmiregistry command starts a remote object registry on the specified port on the current host.

SYNOPSIS

rmiregistry [port]

DESCRIPTION

The rmiregistry command creates and starts a remote object registry on the specified port on the current host. If port is omitted, the registry is started on port 1099. The rmiregistry command produces no output and is typically run in the background. For example:

rmiregistry &

A remote object registry is a bootstrap naming service that is used by RMI servers on the same host to bind remote objects to names. Clients on local and remote hosts can then look up remote objects and make remote method invocations.

The registry is typically used to locate the first remote object on which an application needs to invoke methods. That object in turn will provide application-specific support for finding other objects.

The methods of the java.rmi.registry.LocateRegistry class are used to get a registry operating on the local host or local host and port.

The URL-based methods of the java.rmi.Naming class operate on a registry and can be used to look up a remote object on any host, and on the local host: bind a simple (string) name to a remote object, rebind a new name to a remote object (overriding the old binding), unbind a remote object, and list the URLs bound in the registry.

OPTIONS

    -J  Used in conjunction with any java option, it passes the option following the -J (no spaces between the -J and the option) on to the java interpreter.

SEE ALSO

java(1), java.rmi.registry.LocateRegistry @
http://download.oracle.com/javase/7/docs/api/java/rmi/registry/LocateRegistry.html and java.rmi.Naming @
http://download.oracle.com/javase/7/docs/api/java/rmi/Naming.html